## org.jfree.xml.writer
Class AbstractXmlWriteHandler

    java.lang.Object
      org.jfree.xml.writer.AbstractXmlWriteHandler

All Implemented Interfaces:
  XmlWriteHandler

Direct Known Subclasses:
  BasicStrokeWriteHandler, ColorWriteHandler, FontWriteHandler, GenericWriteHandler, GradientPaintWriteHandler, InsetsWriteHandler, ListWriteHandler, Point2DWriteHandler, Rectangle2DWriteHandler, RenderingHintsWriteHandler

    public abstract class AbstractXmlWriteHandler

extends java.lang.Object
implements XmlWriteHandler

A base class for implementing a handler that writes the XML for an object of a particular class.

Constructor Summary
`AbstractXmlWriteHandler()` Creates a new handler.

Method Summary
`RootXmlWriteHandler` `getRootHandler()` Returns the root handler.
`void` `setRootHandler(RootXmlWriteHandler rootHandler)` Sets the root handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.xml.writer.XmlWriteHandler
`write`

Constructor Detail

### AbstractXmlWriteHandler

    public AbstractXmlWriteHandler()

  Creates a new handler.

Method Detail

### getRootHandler

    public RootXmlWriteHandler getRootHandler()

  Returns the root handler.

  Specified by:
    `getRootHandler` in interface `XmlWriteHandler`
  Returns:
    the root handler.

### setRootHandler

    public void setRootHandler(RootXmlWriteHandler rootHandler)

  Sets the root handler.

  Specified by:
    `setRootHandler` in interface `XmlWriteHandler`
  Parameters:
    `rootHandler` - the root handler.